#!/usr/bin/python3
#coding:utf-8
from urllib import request
import requests
import ssl
import re
import random
import time
import zlib

def getImg(html):
    response = request.urlopen(html)
    if not response.headers.get('Content-Encoding'):
        response = response.read()
    else:
        response = zlib.decompress(response.read(), 16 + zlib.MAX_WBITS)
    response = response.decode('utf-8')
    
    reg1 = r'<a>共(.*?)页: </a>'
    page_src = re.compile(reg1)
    page = re.findall(page_src, response)

    reg2 = r'<img alt="(.*?)" alt="" src="(.*?)" />'
    img_src =  re.compile(reg2)
    img_list = []

    for i in range(2,int(page[0])):
        html_more = html.replace(".htm", "_%s.htm" % str(i))
        response_more = request.urlopen(html_more)
        if not response_more.headers.get('Content-Encoding'):
            response_more = response_more.read()
        else:
            response_more = zlib.decompress(response_more.read(), 16 + zlib.MAX_WBITS)
        response_more = response_more.decode('utf-8')
        img_more = re.findall(img_src, response_more)
        img_list.append(img_more[0][1])
    return img_list

def downImg(html, img_list):
    ssl._create_default_https_context = ssl._create_unverified_context
    headers = {
        'Referer':html,
        'User-Agent':'Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36'
    }
    i = 1
    for p in img_list:
        img = requests.get(p, headers=headers)
        num = random.randint(10000, 99999)
        with open("img/%d.jpg" % num, 'wb') as f:
            f.write(img.content)
        if i % 10 == 0:
            time.sleep(1)
        i = i + 1
        
if __name__ == "__main__":
    html = r"http://www.umei.cc/p/gaoqing/cn/158500.htm"
    img_list = getImg(html)
    downImg(html, img_list)
    print("Download imgages successfly !")